Package Details: amarok 2.9.71-1

Git Clone URL: https://aur.archlinux.org/amarok.git (read-only, click to copy)
Package Base: amarok
Description: The powerful music player for KDE
Upstream URL: http://amarok.kde.org/
Licenses: GPL2, FDL, LGPL2.1
Submitter: arojas
Maintainer: frealgagu
Last Packager: frealgagu
Votes: 42
Popularity: 1.20
First Submitted: 2018-08-28 13:52
Last Updated: 2021-02-09 04:04

Pinned Comments

frealgagu commented on 2020-12-05 22:44

I maintain the latest built package at:

https://github.com/frealgagu/archlinux.amarok/releases/

Latest Comments

1 2 3 4 5 Next › Last »

ily53 commented on 2021-11-23 05:24

Not starting under Gnome, Starting over Terminal brings

Warning: Ignoring XDG_SESSION_TYPE=wayland on Gnome. Use QT_QPA_PLATFORM=wayland to run on Wayland anyway.

Start it over Terminal with QT_QPA_PLATFORM=wayland amarok brings the same error.

I found this in the Arch Forum: https://bbs.archlinux.org/viewtopic.php?id=268180

frealgagu commented on 2021-07-09 23:52

@JohnRobson It's not happening to me, alternatively you can download the already built package from here:

https://github.com/frealgagu/archlinux.amarok/releases/

JohnRobson commented on 2021-06-23 03:04

==> Validating source files with sha256sums... amarok-2.9.71.tar.xz ... Passed ==> Removing existing $srcdir/ directory... ==> Extracting sources... ==> Starting prepare()... /tmp/yay/amarok/PKGBUILD: line 24: cd: /tmp/yay/amarok/src/amarok-2.9.71: No such file or directory ==> ERROR: A failure occurred in prepare(). Aborting... error making: amarok

Bink commented on 2021-04-26 01:49

Has installed, but fails to start. May be an issue opening the MariaDB.


QtWebEngine::initialize() called with QCoreApplication object already created and should be call before. This is depreciated and may fail in the future.
Attribute Qt::AA_ShareOpenGLContexts must be set before QCoreApplication is created.
**********************************************************************************************
** AMAROK WAS STARTED IN NORMAL MODE. IF YOU WANT TO SEE DEBUGGING INFORMATION, PLEASE USE: **
** amarok --debug                                                                           **
**********************************************************************************************
Got ERROR: "Can't open and lock privilege tables: Table 'mysql.servers' doesn't exist" errno: 2000
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = amarok path = /usr/bin pid = 368359
KCrash: Arguments: /usr/bin/amarok 
KCrash: Attempting to start /usr/lib/drkonqi
pa_write() failed while trying to wake up the mainloop: Bad file descriptor
pa_write() failed while trying to wake up the mainloop: Bad file descriptor
pa_write() failed while trying to wake up the mainloop: Bad file descriptor
Invalid write to eventfd: Bad file descriptor
Code should not be reached at ../pulseaudio/src/pulsecore/fdsem.c:199, function pa_fdsem_post(). Aborting.
Unable to start Dr. Konqi
Re-raising signal for core dump handling.
Aborted (core dumped)

JohnRobson commented on 2021-03-30 15:03

==> Retrieving sources...
-> Downloading amarok-2.9.71.tar.xz...
% Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
Dload  Upload   Total   Spent    Left  Speed
100  3054    0  3054    0     0   9310      0 --:--:-- --:--:-- --:--:--  9282
==> Validating source files with sha256sums...
amarok-2.9.71.tar.xz ... FAILED
==> ERROR: One or more files did not pass the validity check!
error downloading sources: amarok

frealgagu commented on 2020-12-05 22:44

I maintain the latest built package at:

https://github.com/frealgagu/archlinux.amarok/releases/

fishnet37222 commented on 2020-09-11 09:49

I'm getting the following error when trying to install this. I have MySQL installed, so I don't know why it's happening.

CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
MYSQL_EMBEDDED_LIBRARIES (ADVANCED)
    linked by target "amarok_collection-mysqlcollection" in directory /home/dave/AUR/amarok/src/amarok-df34fd789a8cd14bea5482c88c85216b2ef791c9/src/core-impl/collections/db/sql/mysqlcollection
    linked by target "amarok_storage-mysqlestorage" in directory /home/dave/AUR/amarok/src/amarok-df34fd789a8cd14bea5482c88c85216b2ef791c9/src/core-impl/storage/sql/mysqlestorage

murdegern commented on 2020-05-13 19:13

I'm trying to build this with yay on archlinux 32, and it fails with this message:

CMake Error at /usr/share/cmake-3.17/Modules/FindPackageHandleStandardArgs.cmake:164 (message):
  Could NOT find KF5 (missing: NewStuff) (found suitable version "5.68.0",
  minimum required is "5.41.0")
Call Stack (most recent call first):
  /usr/share/cmake-3.17/Modules/FindPackageHandleStandardArgs.cmake:445 (_FPHSA_FAILURE_MESSAGE)
  /usr/share/ECM/find-modules/FindKF5.cmake:110 (find_package_handle_standard_args)
  CMakeLists.txt:39 (find_package)

I have knewstuff 5.69.0-1.0 installed (not 5.68 like it says) - do you have any pointers?

Thanks!

frealgagu commented on 2020-03-06 16:52

@coxe87b it happens because taglib-extras is a dependency on AUR that can't be installed automatically by makepkg. If you use an AUR helper it do the work for you, otherwise you need to install taglib-extras manually. I recommend you do that installing it with --asdeps in order to use a weak reference to the new package in case you want to uninstall amarok in the future.

coxe87b commented on 2019-12-25 12:25

It would not make the package for me by default using makepkg -si as it threw an error saying that it was unable to solve dependencies. I had to manually install dependencies; libgpod, liblastfm-qt5, mariadb I then had to manually get the dependency "taglib-extras 1.0.1-7" through the AUR and make that package first. Only then was I able to proceed with the makepkg of amarok.